### Hierarchy

- Gaia

## Index

### Constructors

- constructor

### Properties

- listener
- renderer

### Methods

- connect

## Constructors

### constructor

- new Gaia(renderer: IRenderer, listener?: IListener): Gaia

- - Defined in lib/Gaia.ts:9

  #### Parameters

  - ##### renderer: IRenderer

  - ##### Optional listener: IListener

  #### Returns Gaia

## Properties

### Private listener

listener: IListener

- Defined in lib/Gaia.ts:8

### Private renderer

renderer: IRenderer

- Defined in lib/Gaia.ts:9

## Methods

### connect

- connect(options: QueueOptions): Promise<Connection>

- - Defined in lib/Gaia.ts:22

  Connect the client to the G.A.I.A ecosystem.

  #### Parameters

  - ##### options: QueueOptions

    the ID of the identity

  #### Returns Promise<Connection>

Generated using TypeDoc